// ie polyfill
import '@babel/polyfill'

import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store/'
import { VueAxios } from './utils/request'

// mock
import './mock'

import bootstrap from './core/bootstrap'
import './core/use'
import './permission' // permission control
import './utils/filter' // global filter

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import { Modal } from 'ant-design-vue'
import VueBus from 'vue-bus';

Vue.use(VueBus);

Vue.config.productionTip = false

// mount axios Vue.$http and this.$http
Vue.use(VueAxios)
Vue.use(ElementUI)
Vue.prototype.$confirm2 = Modal.confirm

new Vue({
  router,
  store,
  created () {
    bootstrap()
  },
  render: h => h(App)
}).$mount('#app')
